Subject: Re: Building DLLs to be loaded from Visual Basic
From: "Max Bowsher" <[email-masked]>
To: "Mader, Alexander" <[email-masked]>, "Massimiliano Mirra" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 31 Mar 2003 15:46:20 +0100

Massimiliano Mirra wrote:
> "Mader, Alexander" <[email-masked]> writes:
>
>>> - is anybody today successfully building DLLs with cygwin (not
>>>   mingw32) and loading them from Visual Basic (or other languages)?
>>
>> I have to provide DLLs for VB and do so by using Cygwin but with
>> -mnocygwin, which is more or less using mingw32.
   ^^^^^^^^^^

-mno-cygwin

> Is that relevant to the DLL creation, i.e. do you know if a DLL built
> without -mnocygwin (thus with cygwin) is still as usable?  I have to
> access the serial hardware on the target and I prefer to do it the
> POSIX way rather than with the native API.
>
>> I have no idea. But I know about some problems regading VB in
>> connection with C _not_ with Cygwin. So, compiling with gcc-2 it is
>> usefull to use -fnative-struct (no more available/nessesary in
                                   ^^^^^^^           ^^^^^^^^^

Incorrect. Still necessary if that is what you want. Now
called -mms-bitfields.

>> gcc). Because of the VB-
>> Structure-Conventions it could be nessesary to use -fpack-struct
>> together with dummy elements in the structure in question.
>
> Good to know, since I built gcc2.  Not even the latter is necessary in
> gcc3.2, right?

Still necessary.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/